> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Users

> Retrieves a list of all users you have access to, or all users in the specified firm.



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json get /rest/users
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/users:
    get:
      tags:
        - Users
      summary: Get All Users
      description: >-
        Retrieves a list of all users you have access to, or all users in the
        specified firm.
      operationId: getUsers
      parameters:
        - name: firm_uuid
          in: query
          description: The UUID of the desired users' parent firm.
          required: false
          deprecated: false
          allowEmptyValue: false
          schema:
            type: string
            example: abcdef12-3456-7890-abcd-ef1234567890
      responses:
        '200':
          description: Successfully retrieved users
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TradingUserResponse'
        '403':
          description: Forbidden - insufficient permissions
      deprecated: false
      security: []
components:
  schemas:
    TradingUserResponse:
      type: object
      additionalProperties: false
      properties:
        user_uuid:
          type: string
          example: 123e4567-e89b-12d3-a456-426614174000
        name:
          type: string
          example: John Doe
        user_role:
          type: string
          example: FIX_USER
        sender_comp_id:
          type: string
          example: TRADER001
        firm_uuid:
          type: string
          example: abcdef12-3456-7890-abcd-ef1234567890
        itm_uuid:
          type: string
          example: 98765432-dcba-4321-9876-543210fedcba
        cancel_on_disconnect:
          type: boolean
          example: true
        client_requested_trading_lock:
          type: boolean
          example: false
        admin_trading_lock:
          type: boolean
          example: false
        self_match_prevention_id:
          type: integer
          format: int32
          example: 123
        self_match_prevention_mode:
          $ref: '#/components/schemas/SelfMatchPreventionMode'
    SelfMatchPreventionMode:
      type: string
      enum:
        - CANCEL_AGGRESSING
        - CANCEL_RESTING
        - CANCEL_BOTH
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````